% Code for plotting the results with multiple shocks

%% Config

posSR_index=1:nvar;
negSR_index=setdiff(1:nvar, posSR_index);

save_path_bound = 'Graphs/';
% this is relevant only for overlaying a line on the charts
% use that Macro variables are conveniently ordered first
if ~any(cellfun(@isempty, strfind(IncludeSeriesNames,'FFR')))
    NoMacroVars = 6;
else
    NoMacroVars = 4;
end
if nvar<7
    NoMacroVars = nvar;
end
NoMacroRes = cell(nshocks,1);
for ss=1:nshocks
    if any(strcmp(RestrictionLabels(:,1), 'Employment>0'))
        NoMacroRes{ss} = NoMacroVars + nres_slope(ss) ;
    else
        NoMacroRes{ss} = NoMacroVars - 1 + nres_slope(ss) ;
    end
end
Grid = [1 9 25];
legendEntries = {'Impact'; '2 years out'; '6 years out'};
TimeLabel='Horizon (quarters)';
UnitLabel=cell(nvar,1);
UnitLabel(:)={'Percent'};
Plot_Horizon=24;
density_hh = 9;
MyXticks=5:4:Plot_Horizon+1;

%% Run general script
NewPlots_mshocks_mlambdas_main_matfile;
 