% Plot the raw data by looping over the included series
FontSize = 12;
GridRGB = [0 0 0]+.3;


for nn=1:nvar
    figure(nn);
    plot(time_ax, ydata(:,nn));
    title(IncludeSeriesNames{nn});
    set(gca, 'XGrid', 'on');
    set(gca, 'YGrid', 'on');
    set(findall(gcf, '-property', 'FontSize'), 'FontSize', FontSize, 'fontWeight', 'normal','FontName','Times New Roman')
    set(findall(gcf,'type','axes'),'ycolor',GridRGB,'xcolor',GridRGB,'GridLineStyle','-','LineWidth',.5,'FontSize',FontSize)
    
    
    if DO_SAVE
        print(gcf, '-depsc', '-r300',sprintf('%sRawDataVariable_%d_Model%d.eps',save_path_bound,nn, model_version))
        %         print(gcf, '-dpdf', '-r300',sprintf('%sNumericalBoundsVariable_%d_TD.pdf',save_path_bound,ii))
    end

end
    
close all;