capture drop ff5
*  5 Other  Other -- Mines, Constr, BldMt, Trans, Hotels, Bus Serv, Entertainment, Finance
ge ff5 = 5 // 5 = others

*  1 = consumers
replace ff5=1 if sic>=0100 & sic<=0999
replace ff5=1 if sic>=2000 & sic<=2399
replace ff5=1 if sic>=2700 & sic<=2749
replace ff5=1 if sic>=2770 & sic<=2799
replace ff5=1 if sic>=3100 & sic<=3199
replace ff5=1 if sic>=3940 & sic<=3989
replace ff5=1 if sic>=2590 & sic<=2599
replace ff5=1 if sic>=3630 & sic<=3659
replace ff5=1 if sic>=3710 & sic<=3711
replace ff5=1 if sic>=3714 & sic<=3714
replace ff5=1 if sic>=3716 & sic<=3716
replace ff5=1 if sic>=3750 & sic<=3751
replace ff5=1 if sic>=3792 & sic<=3792
replace ff5=1 if sic>=3900 & sic<=3939
replace ff5=1 if sic>=3990 & sic<=3999
replace ff5=1 if sic>=5000 & sic<=5999
replace ff5=1 if sic>=7200 & sic<=7299
replace ff5=1 if sic>=7600 & sic<=7699
 
* 2 = manufacturing
replace ff5=2 if sic>=2520 & sic<=2589
replace ff5=2 if sic>=2600 & sic<=2699
replace ff5=2 if sic>=2750 & sic<=2769
replace ff5=2 if sic>=2800 & sic<=2829
replace ff5=2 if sic>=2840 & sic<=2899

replace ff5=2 if sic>=3000 & sic<=3099
replace ff5=2 if sic>=3200 & sic<=3569
replace ff5=2 if sic>=3580 & sic<=3621
replace ff5=2 if sic>=3623 & sic<=3629
replace ff5=2 if sic>=3700 & sic<=3709

replace ff5=2 if sic>=3712 & sic<=3713
replace ff5=2 if sic>=3715 & sic<=3715
replace ff5=2 if sic>=3717 & sic<=3749
replace ff5=2 if sic>=3752 & sic<=3791
replace ff5=2 if sic>=3793 & sic<=3799

replace ff5=2 if sic>=3860 & sic<=3899
replace ff5=2 if sic>=1200 & sic<=1399
replace ff5=2 if sic>=2900 & sic<=2999
replace ff5=2 if sic>=4900 & sic<=4949

* 3 HiTec  Business Equipment, Telephone and Television Transmission
replace ff5=3 if sic>=3570 & sic<=3579
replace ff5=3 if sic>=3622 & sic<=3622
replace ff5=3 if sic>=3660 & sic<=3692
replace ff5=3 if sic>=3694 & sic<=3699
replace ff5=3 if sic>=3810 & sic<=3839
 
replace ff5=3 if sic>=7370 & sic<=7372
replace ff5=3 if sic>=7373 & sic<=7373
replace ff5=3 if sic>=7374 & sic<=7374
replace ff5=3 if sic>=7375 & sic<=7375
replace ff5=3 if sic>=7376 & sic<=7376
 
replace ff5=3 if sic>=7377 & sic<=7377
replace ff5=3 if sic>=7378 & sic<=7378
replace ff5=3 if sic>=7379 & sic<=7379
replace ff5=3 if sic>=7391 & sic<=7391
replace ff5=3 if sic>=8730 & sic<=8734

replace ff5=3 if sic>=3000 & sic<=3099

* 4 Hlth   Healthcare, Medical Equipment, and Drugs
replace ff5=4 if sic>=2830 & sic<=2839
replace ff5=4 if sic>=3693 & sic<=3693
replace ff5=4 if sic>=3840 & sic<=3859
replace ff5=4 if sic>=8000 & sic<=8099

label define lbl_ff5 4 "Health" 3 "HiTec" 2 "Manuf." 1 "Consumers" 5 "Other", replace
label values ff5 lbl_ff5 