function [ImpliedVariance, Gradient]=get_summed_forecast_error_mshocks(q, S, shock_idx, nvar, nshocks, scale)

% select relevant shock for multiplication
relevant_q = q( (shock_idx-1)*nvar+1:shock_idx*nvar );
ImpliedVariance = relevant_q(:)'*S*relevant_q(:)/scale;
% gradient is zero for other shocks
Gradient = zeros(1, nvar*nshocks);
Gradient(1, (shock_idx-1)*nvar+1:shock_idx*nvar) = 2 * relevant_q(:)'*S/scale;
