clear all

ParallelParts=2;
InitialParallelPart=1; 

FileAndPathName = 'Results/FEVD_Results_Model110053_H5_gr' ;
load([FileAndPathName '_Pl' num2str(InitialParallelPart, '%1.0f') '_' num2str(ParallelParts, '%1.0f') ]);

ResultsAll= matfile( ['Results/FEVD_results_all' Suffix '.mat'],'Writable',true);
ResultsAll.HR_FEVD_bound=FEVD_distribution.HR_FEVD_bound;
ResultsAll.SR_FEVD_bound=FEVD_distribution.SR_FEVD_bound;
ResultsAll.HR_FEVD_bound_q=FEVD_distribution.HR_FEVD_bound_q;
ResultsAll.SR_FEVD_bound_q=FEVD_distribution.SR_FEVD_bound_q;

% Now append the other files
for WhichParallelPart=InitialParallelPart+1:ParallelParts 
        CurrentData=load([FileAndPathName '_Pl' num2str(WhichParallelPart, '%1.0f') '_' num2str(ParallelParts, '%1.0f') ]);
                
        ResultsAll.HR_FEVD_bound(:,:,:,CurrentDraws*(WhichParallelPart-1)+(1:CurrentDraws),:)  = CurrentData.FEVD_distribution.HR_FEVD_bound ;
        ResultsAll.SR_FEVD_bound(:,:,:,CurrentDraws*(WhichParallelPart-1)+(1:CurrentDraws),:)  = CurrentData.FEVD_distribution.SR_FEVD_bound ;
        
        ResultsAll.HR_FEVD_bound_q(:,:,:,CurrentDraws*(WhichParallelPart-1)+(1:CurrentDraws),:)  = CurrentData.FEVD_distribution.HR_FEVD_bound_q ;
        ResultsAll.SR_FEVD_bound_q(:,:,:,CurrentDraws*(WhichParallelPart-1)+(1:CurrentDraws),:)  = CurrentData.FEVD_distribution.SR_FEVD_bound_q ;
        
end

clear CurrentData
disp('done');